textures/meep/tele
{
	qer_editorimage models/buildables/telenode/lines2.tga
      surfaceparm nomarks	
	surfaceparm nonsolid
	{
		map models/buildables/telenode/rep_cyl.jpg
		blendfunc add
		rgbGen lightingDiffuse
		tcMod scroll 0.2 0
	}
	{
		map models/buildables/telenode/lines2.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.2
	}
}

textures/meep/energy
{
      qer_editorimage models/buildables/telenode/energy.tga
	surfaceparm trans	
      surfaceparm nomarks	
	surfaceparm nolightmap
	{
		map models/buildables/telenode/energy.tga
		rgbGen wave inversesawtooth 0.2 0.4 0 1 
		tcMod rotate 10
	}
}

textures/meep/dusty
{
	qereditorimage textures/meep/dust.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	entityMergable
	{
		map textures/meep/dust.tga
		blendFunc blend
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/meep/spark_01_s
{
	entityMergable
	cull none
	{
		map textures/meep/spark_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/meep/beam_light
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/meep/beam_light.tga
                tcMod Scroll .3 0
                blendFunc add
        }
        // {
	//	map textures/meep/beam_light.tga
        //        tcMod Scroll -.3 0
        //        blendFunc GL_ONE GL_ONE
        // }
     
}

textures/meep/beam_blue
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/meep/beam_blue.tga
                tcMod Scroll .3 0
                blendFunc add
        }
        // {
	//	map textures/meep/beam_blue.tga
        //        tcMod Scroll -.3 0
        //        blendFunc GL_ONE GL_ONE
        // }
     
}

textures/meep/spark_02
{
	entityMergable
	cull none
	{
		map textures/meep/sparkle_blue.tga
		blendFunc add
		alphaGen	vertex
		
		tcMod rotate 300
	}
}

textures/meep/e6bsegrtflr256_s
{
	qer_editorimage textures/meep/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/meep/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/meep/cubelight_32_red_s
{
	qer_editorimage textures/meep/cubelight_32_red.jpg
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightRGB 1 .1 .1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/meep/cubelight_32_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/meep/cubelight_32_red.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/meep/glass_02_s
{
	qer_editorimage textures/meep/001metal.jpg
	//surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/meep/001metal.jpg
		blendfunc add
		rgbGen const ( 0.05 0.05 0.07 )
	}
	//{
	//	map $lightmap 
	//	blendfunc gl_dst_color gl_src_alpha
	//	rgbGen identity
	//	tcGen lightmap 
	//}
}

textures/meep/force_field_s
	{
        qer_editorimage textures/meep/force_field_gtk.tga
	surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
	cull none
	{
		map textures/meep/force_field.tga
		tcMod Scroll .1 0
		blendFunc add
	}
	{
		map textures/meep/force_grid.tga
		tcMod Scroll -.01 0
		blendFunc add
		rgbgen wave sin .2 .2 0 .4
	}
}

textures/meep/skybox_s
{
	qer_editorimage textures/meep/mars.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/meep/skylight.tga
//	q3map_sun 0.95 0.95 1.0 150 120 25	//lilacisles
//	q3map_sun 1.00 1.00 0.965 75 90 30 	//siege
//	q3map_sun 1.00 0.90 0.80 110 180 35	//orangecream
//	q3map_sun 1.00 0.80 0.70 100 0 20	//cottoncandy
//	q3map_sun 0.934 0.835 1.00 75 230 35	//desertsky
//	q3map_sun 1.00 1.00 1.00 50 90 90	//comablack
//	q3map_sun 4 3 3 150 135 50		//mars
//	q3map_sun 1.00 0.949 0.977 100 200 45	//desert
	q3map_sun 1.00 0.949 0.977 150 135 45	
	q3map_skylight 250 3
	q3map_globaltexture
	skyparms env/meep/mars - -
}

textures/meep/eq2_bounce
{
	qer_editorimage textures/meep/eq2_bounce.tga
	
	{
		map textures/meep/eq2_bounce.tga
		rgbGen identity
	}
	{
		clampmap textures/meep/eq2_bouncefan.tga
		tcMod rotate 512
		blendFunc blend
		depthWrite
		rgbGen identity

	}
	{
		map textures/meep/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/meep/defaultmetal_nonsolid
{
	qer_editorimage textures/meep/defaultmetal.jpg
	surfaceparm nonsolid
	{
		map textures/meep/defaultmetal.jpg

	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}
textures/meep/defaultmetal_s
{
	qer_editorimage textures/meep/defaultmetal.jpg
	surfaceparm solid
	{
		map textures/meep/defaultmetal.jpg

	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}
textures/meep/e6dmetal_nonsolid
{
	qer_editorimage textures/meep/e6dmetal.jpg
	surfaceparm nonsolid
	{
		map textures/meep/e6dmetal.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}
textures/meep/e6metalfan_s2
{
	qer_editorimage textures/meep/e6metalfan.tga

	{
		map textures/meep/e6metalfan_blade.tga
		tcmod rotate 5000
	}
	{
		map textures/meep/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//by Godmil & jex
textures/meep/e6drkbmetalscatched_nonsolid
{
	qer_editorimage textures/meep/e6drkbmetalscatched.jpg
	surfaceparm nonsolid
	{
		map textures/meep/e6drkbmetalscatched.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

textures/meep/ladder
{
	qer_trans .75
	qer_editorimage textures/meep/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/meep/trem2redlight_nonsolid
{
	qer_editorimage textures/meep/trem2redlight.jpg
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/meep/trem2redlight.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}
textures/meep/e6whitelight_nonsolid
{
	qer_editorimage textures/meep/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/meep/e6basicstrip_white.tga

	}
}
textures/meep/trembru_s
{
	qer_editorimage textures/meep/trembru.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/meep/trembru.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/meep/trembru.tga
		blendfunc add
	}
}

textures/meep/blue_hose_s
{
	qer_editorimage textures/meep/e8base_blue.tga
	surfaceparm nonsolid
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/meep/e8base_blue.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/meep/red_hose_s
{
	qer_editorimage textures/meep/e8base_red.tga
	surfaceparm nonsolid
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/meep/e8base_red.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/meep/e6horzlight_s_10k
{
	qer_editorimage textures/meep/e6horzlight.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/meep/e6horzlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/meep/e6horzlight_blend.tga
		blendfunc add
	}
}
textures/meep/e6tinylight_s_nolight
{
	qer_editorimage textures/meep/e6tinylight.tga
	//q3map_surfacelight ?
	surfaceparm nomarks
	
	{
		map textures/meep/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/meep/e6tinylight_blend.tga
		blendfunc add
	}
}
textures/meep/mist_s
{
	entityMergable
	cull none
	{
		map textures/meep/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}
textures/meep/proto_fence
{
	qer_editorimage textures/meep/objects_fence.tga
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans		
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/meep/objects_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/meep/stannum_white
{
 	qer_editorimage textures/meep/stannum_white.jpg
	q3map_lightimage textures/meep/stannum_white.jpg
 	surfaceparm nomarks
 	surfaceparm nonsolid
 	q3map_surfacelight 1000
 	{
 		map textures/meep/stannum_white.jpg
 	}
 	{
 		map $lightmap
 		blendfunc filter
 		tcGen lightmap
 	}
 	{
 		map textures/meep/stannum_white.jpg
 		blendfunc add
 	}
 }
textures/meep/e6redstrip_nonsolid
{
	qer_editorimage textures/meep/e6basicstrip_red.jpg
	//q3map_surfacelight ?
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/karith/e6basicstrip_red.jpg
	}
}
textures/meep/stannum_tremnet
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	polygonoffset
	{
		map textures/meep/stannum_tremnet.jpg
	}
}
textures/meep/stannum_tin
{
	qer_editorimage textures/meep/tin.tga
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/meep/tin.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}
textures/meep/tin_s
{
	qer_editorimage textures/meep/tin.jpg
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/meep/tin.jpg
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}
textures/meep/eshinytin2
{    
qer_editorimage textures/meep/eshinytin.tga 
        { 
                map textures/meep/trem2ref.jpg  
                tcGen environment 
		rgbGen identity 
                tcmod scale 0.55 1 
	}   
      { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
	{ 
		map textures/meep/eshinytin.tga 
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		rgbGen identity 
	} 
        { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}